Ubuntu/Debian installation prerequisites

From ArmadeusWiki

Jump to: navigation, search

Contents

Mandatory packages

  • you can use the following commands (one at a time) to get them (assuming your userid is allowed to use sudo (execution of commands as root)):
 sudo apt-get install -y build-essential gcc g++ autoconf automake libtool bison flex gettext
 sudo apt-get install -y patch subversion texinfo wget git-core
 sudo apt-get install -y libncurses5 libncurses5-dev
 sudo apt-get install -y zlib1g-dev liblzo2-2 liblzo2-dev
 sudo apt-get install -y libacl1 libacl1-dev gawk cvs curl lzma
 sudo apt-get install -y uuid-dev mercurial unzip
 sudo apt-get install -y libftdi-dev
 sudo apt-get install -y python-serial python-usb libusb-1.0-0-dev (to use recover tool if board is bricked)
 sudo apt-get install -y libssl-dev                         (to build u-boot 2014.04 mxsimage tool for the apf28)
  • if your distribution is localized in a language different of English, you will need to install "en_US" locale in order to compile the toolchain (by default our toolchain (uClibc) is configured to only support English). If not, you will get compilation errors like this one:
 ...
 extra/locale/locale_mmap.h:46: error: '__LOCALE_DATA_WCctype_II_LEN' undeclared here (not in a function)
 ...

To solve this, install en_US.UTF-8 locale with the following:

 $ sudo dpkg-reconfigure locales
  • On Debian/Jessie, these packages seems to be required :
sudo apt-get install libx32stdc++6 libx32stdc++-4.9-dev lib64stdc++6

Optional packages

Not mandatory but useful to add for compiling some Buildroot packages:

 sudo apt-get -y install libglib2.0-dev
 sudo apt-get -y install libnetpbm10-dev   (for fbtest)
 sudo apt-get -y install python-xcbgen     (for Matchbox)
 sudo apt-get -y install xutils-dev        (for mesa)
 sudo apt-get -y install pkg-config        (for imx_usb)

Java devt

Ubuntu

  • To compile java jamvm and gnu-classpath:
 sudo apt-get -y install gcj-jdk 

Debian

To compile java jamvm and gnu-classpath:

 sudo apt-get -y install java-gcj-compat-dev default-jdk
Personal tools